<link rel="import" href="../../../polymer/polymer-element.html" />

<dom-module id="app-domicilio-habitual">
    <template>
        <link rel="stylesheet" href="css/bulma.min.css" />
        <div class="card">
            <header class="card-header" on-click="ocultarSeccion">
                <p class="card-header-title has-text-primary is-uppercase">Domicilio habitual</p>
                <a class="card-header-icon">
                    <span class="icon">🔽</span>
                </a>
            </header>
            <div class="card-content is-hidden">
                <div class="content">
                    <div class="columns">
                        <div class="column is-9">
                            <div class="field">
                                <label class="label" for="direccion">Dirección:</label>
                                <input
                                    class="input is-rounded"
                                    type="text"
                                    id="direccion"
                                    value="{{direccion::input}}"
                                    placeholder="Av. Siempre viva 742"
                                />
                            </div>
                        </div>
                        <div class="column">
                            <div class="field">
                                <label class="label" for="codigop">Código postal:</label>
                                <input
                                    class="input is-rounded"
                                    type="text"
                                    id="codigop"
                                    value="{{codigop::input}}"
                                    placeholder="00000"
                                />
                            </div>
                        </div>
                    </div>

                    <div class="columns">
                        <div class="column">
                            <div class="field">
                                <label class="label" for="ciudad">Ciudad</label>
                                <input
                                    class="input is-rounded"
                                    type="text"
                                    id="ciudad"
                                    value="{{ciudad::input}}"
                                    placeholder="Ciudad de México"
                                />
                            </div>
                        </div>
                        <div class="column">
                            <div class="field">
                                <label class="label" for="provincia">Provincia</label>
                                <input
                                    class="input is-rounded"
                                    type="text"
                                    id="provincia"
                                    value="{{provincia::input}}"
                                    placeholder="Benito Juarez"
                                />
                            </div>
                        </div>
                        <div class="column">
                            <div class="field">
                                <label class="label" for="pais">País</label>
                                <input
                                    class="input is-rounded"
                                    type="text"
                                    id="pais"
                                    value="México"
                                    disabled
                                />
                            </div>
                        </div>
                    </div>
                    <div class="columns">
                        <div class="column is-8">
                            <div class="field">
                                <label class="label">Exento de IVA</label>
                                <label class="checkbox">
                                    <input type="checkbox" id="exento" />
                                    Sí
                                </label>
                            </div>
                        </div>
                        <div class="column is-4">
                            <label class="label">Zona horaria</label>
                            <div class="field">
                                <p class="control is-expanded">
                                    <span class="select is-fullwidth is-rounded">
                                        <select id="zona" class="">
                                            <option value="america/central_zone"
                                                >America/CDMX, GDL, MTY</option
                                            >
                                            <option value="america/northwest_zone"
                                                >America/Noreste</option
                                            >
                                            <option value="america/pacific_zone"
                                                >America/Pacífico</option
                                            >
                                            <option value="america/southeast_zone"
                                                >America/Sureste</option
                                            >
                                        </select>
                                    </span>
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="field has-text-centered">
                        <button type="button" class="button is-primary" on-click="guardarCambios">
                            Guardar cambios
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </template>

    <script>
        class AppDomicilioHabitual extends Polymer.Element {
            static get is() {
                return "app-domicilio-habitual";
            }
            static get properties() {
                return {
                    direccion: {
                        type: String,
                        notify: true,
                    },
                    codigop: {
                        type: String,
                        notify: true,
                    },
                    ciudad: {
                        type: String,
                        notify: true,
                    },
                    provincia: {
                        type: String,
                        notify: true,
                    },
                };
            }
            ocultarSeccion() {
                this.shadowRoot.querySelector(".card-content").classList.toggle("is-hidden");
            }
            guardarCambios() {
                console.log(this.direccion);
                console.log(this.codigop);
                console.log(this.ciudad);
                console.log(this.provincia);
                console.log(this.$.exento.checked);
                console.log(this.$.zona.value);
                alert("Conexión al servidor pendiente, los datos están en la consola");
            }
        }

        window.customElements.define(AppDomicilioHabitual.is, AppDomicilioHabitual);
    </script>
</dom-module>
